#!/bin/bash

input_file="qr-code.json"
output_file="qr-code_report.docx"
error_file="qr-code_error.json"

response=$(curl --request POST --data-binary @"$input_file" http://localhost:8886/word_report_json --output "$output_file" --write-out "%{http_code}")

if [ "$response" -ne 200 ]; then
  echo "Error while executing the request. Response code: $response"
  mv "$output_file" "$error_file"
else
  echo "The request was executed successfully. Response code: $response"
fi